Page MenuHomePhabricator

Drafts should not disappear from the new pages feed after 90 days
Open, Needs TriagePublic

Description

See this thread and this thread for more background.

Pages on the English Wikipedia that are moved from draft to mainspace are not supposed to be patrolled unless the individual moving the draft to mainspace is also autopatrolled.

Currently, any draft that was created over 90 days ago will not show up in the new pages feed or be eligible to be patrolled. (Examples include: Constance Savery, José Angel Figueroa and Quartet Skaz.

The software should not be allowing drafts to be patrolled unless they are moved to mainspace by an autopatroller, bot, or sysop. Old drafts should stay unpatrolled until they are manually patrolled, just as newer drafts are. This is because of en.wiki's two step review system for drafts as compared to mainspace articles.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2018, 3:50 PM
TonyBallioni updated the task description. (Show Details)May 25 2018, 3:53 PM

Is there any motion on this? It's a rather serious deal, especially given the fact that we've had a couple thousand drafts accepted in the last few months that have likely slipped through the cracks.

Vvjjkkii renamed this task from Old drafts on the English Wikipedia incorrectly marked as patrolled to z9baaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from z9baaaaaaa to Old drafts on the English Wikipedia incorrectly marked as patrolled.Jul 2 2018, 3:45 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 9 2019, 11:42 PM
94rain added a subscriber: 94rain.Jul 10 2019, 12:26 AM
Catrope renamed this task from Old drafts on the English Wikipedia incorrectly marked as patrolled to Drafts should not disappear from the new pages feed after 90 days.Jul 11 2019, 9:45 PM
JTannerWMF closed this task as Resolved.Aug 6 2019, 5:57 PM
JTannerWMF claimed this task.
JTannerWMF moved this task from Needs Discussion/Analysis to External on the Growth-Team board.
JTannerWMF added a project: Community-Tech.
JTannerWMF added a subscriber: JTannerWMF.

Tagging Community-Tech due to their current work of Page Curation.

MusikAnimal reopened this task as Open.Aug 6 2019, 6:34 PM
MusikAnimal removed JTannerWMF as the assignee of this task.
MusikAnimal added a subscriber: MusikAnimal.

@JTannerWMF I'm assuming you didn't mean to claim/resolve this? :)

ifried added a subscriber: ifried.

I'm removing the Community Tech label from this ticket, as it is not part of the wishlist requests for Page Curation.